Bug 160958 - kernel: Disabling IRQ #11
kernel: Disabling IRQ #11
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://www.yovko.net/?p=529
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-19 04:53 EDT by Yovko Lambrev
Modified: 2015-01-04 17:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/dmesg (13.24 KB, text/plain)
2005-07-05 13:01 EDT, Rudolf Ulc
no flags Details
/proc/interrupts (394 bytes, text/plain)
2005-07-05 13:03 EDT, Rudolf Ulc
no flags Details
/proc/pci (2.21 KB, text/plain)
2005-07-05 13:04 EDT, Rudolf Ulc
no flags Details
lsmod (1.63 KB, text/plain)
2005-07-05 13:04 EDT, Rudolf Ulc
no flags Details
lspci (3.27 KB, text/plain)
2005-07-05 13:23 EDT, Rudolf Ulc
no flags Details

  None (edit)
Description Yovko Lambrev 2005-06-19 04:53:54 EDT
Description of problem:
After installing Fedora Core 4 there is no sound and network because of
Disabling IRQ #11 error at boot time (when starting eth0).

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
Every time

Steps to Reproduce:
1. Install FC4 on T20 (and some other chipsets probably - there are a lot of
complains on the Net for 2.6.11)
2. Normal boot.
3. ...
  
Actual results:
Disabling IRQ #11
After that USB works bad (mouse is too slow for example). There is no sound and
network interface can't work.

Expected results:
Network/Sound/USB have to work properly.

Additional info:
The problem exist only on my IBM ThinkPad T20 (PIII-700/256RAM/DVD/USB/Cirrus
Logic CS46xx sound/PCMCIA 3Com-Megahertz 3CCFEM556 Ethernet&Modem). On my other
ThinkPad T40 everything is OK.

The problem exist with Fedora Core 3 also with kernel 2.6.11. FC3 and FC4 with
kernel 2.6.10-1.770_FC3 are OK.

/var/log/messages
=================
Jun 18 01:26:44 selene kernel: PCI: Found IRQ 11 for device 0000:00:05.0
Jun 18 01:26:44 selene kernel: PCI: Sharing IRQ 11 with 0000:00:02.0
Jun 18 01:26:44 selene kernel: PCI: Sharing IRQ 11 with 0000:01:00.0
Jun 18 01:26:44 selene kernel: gameport: CS46xx Gameport is
pci0000:00:05.0/gameport0, speed 1807kHz
Jun 18 01:26:44 selene kernel: piix4_smbus 0000:00:07.3: Found 0000:00:07.3 device
Jun 18 01:26:44 selene kernel: piix4_smbus 0000:00:07.3: IBM Laptop detected;
this module may corrupt your serial eeprom! Refusing to load module!
Jun 18 01:26:44 selene kernel: piix4_smbus: probe of 0000:00:07.3 failed with
error -1
Jun 18 01:26:44 selene kernel: shpchp: acpi_shpchprm:get_device PCI ROOT HID
fail=0x1001
Jun 18 01:26:44 selene kernel: USB Universal Host Controller Interface driver v2.2
Jun 18 01:26:44 selene kernel: SELinux: initialized (dev debugfs, type debugfs),
uses genfs_contexts
Jun 18 01:26:44 selene kernel: PCI: Found IRQ 11 for device 0000:00:07.2
Jun 18 01:26:44 selene kernel: uhci_hcd 0000:00:07.2: UHCI Host Controller
Jun 18 01:26:44 selene kernel: uhci_hcd 0000:00:07.2: new USB bus registered,
assigned bus number 1
Jun 18 01:26:44 selene kernel: uhci_hcd 0000:00:07.2: irq 11, io base
0x00001c20Jun 18 01:26:44 selene kernel: hub 1-0:1.0: USB hub found
Jun 18 01:26:44 selene kernel: hub 1-0:1.0: 2 ports detected
Jun 18 01:26:44 selene kernel: PCI: Found IRQ 11 for device 0000:00:02.0
Jun 18 01:26:44 selene kernel: PCI: Sharing IRQ 11 with 0000:00:05.0
Jun 18 01:26:44 selene kernel: PCI: Sharing IRQ 11 with 0000:01:00.0
Jun 18 01:26:44 selene kernel: Yenta: CardBus bridge found at 0000:00:02.0
[1014:0130]
Jun 18 01:26:44 selene kernel: Yenta: Using INTVAL to route CSC interrupts to PCI
Jun 18 01:26:44 selene kernel: Yenta: Routing CardBus interrupts to PCI
Jun 18 01:26:44 selene kernel: Yenta TI: socket 0000:00:02.0, mfunc 0x00001000,
devctl 0x66
Jun 18 01:26:44 selene kernel: Yenta: ISA IRQ mask 0x06b8, PCI irq 11
Jun 18 01:26:44 selene kernel: Socket status: 30000010
Jun 18 01:26:44 selene kernel: PCI: Found IRQ 11 for device 0000:00:02.1
Jun 18 01:26:44 selene kernel: Yenta: CardBus bridge found at 0000:00:02.1
[1014:0130]
Jun 18 01:26:44 selene kernel: Yenta: Using INTVAL to route CSC interrupts to PCI
Jun 18 01:26:44 selene kernel: Yenta: Routing CardBus interrupts to PCI
Jun 18 01:26:44 selene kernel: Yenta TI: socket 0000:00:02.1, mfunc 0x00001000,
devctl 0x66
Jun 18 01:26:44 selene kernel: Yenta: ISA IRQ mask 0x06b8, PCI irq 11
Jun 18 01:26:44 selene kernel: Socket status: 30000006
Jun 18 01:26:44 selene kernel: SELinux: initialized (dev ramfs, type ramfs),
uses genfs_contexts
Jun 18 01:26:44 selene kernel: NET: Registered protocol family 10
Jun 18 01:26:44 selene kernel: Disabled Privacy Extensions on device c03e6820(lo)
Jun 18 01:26:44 selene kernel: IPv6 over IPv4 tunneling driver
Jun 18 01:26:44 selene kernel: md: Autodetecting RAID arrays.
Jun 18 01:26:44 selene kernel: md: autorun ...
Jun 18 01:26:44 selene kernel: md: ... autorun DONE.
Jun 18 01:26:44 selene kernel: audit(1119047133.298:2): avc:  denied  { write }
for  pid=1193 comm="fsck" name=rhgb-console dev=ramfs ino=4619
scontext=system_u:system_r:fsadm_t tcontext=system_u:object_r:ramfs_t
tclass=fifo_file
Jun 18 01:26:44 selene kernel: EXT3 FS on dm-0, internal journal
Jun 18 01:26:44 selene kernel: kjournald starting.  Commit interval 5 seconds
Jun 18 01:26:44 selene kernel: EXT3 FS on hda1, internal journal
Jun 18 01:26:44 selene kernel: EXT3-fs: mounted filesystem with ordered data mode.
Jun 18 01:26:44 selene kernel: SELinux: initialized (dev hda1, type ext3), uses
xattr
Jun 18 01:26:44 selene kernel: SELinux: initialized (dev tmpfs, type tmpfs),
uses transition SIDs
Jun 18 01:26:44 selene kernel: kjournald starting.  Commit interval 5 seconds
Jun 18 01:26:44 selene kernel: EXT3 FS on dm-1, internal journal
Jun 18 01:26:44 selene kernel: EXT3-fs: mounted filesystem with ordered data mode.
Jun 18 01:26:44 selene kernel: SELinux: initialized (dev dm-1, type ext3), uses
xattr
Jun 18 01:26:44 selene kernel: Adding 1052248k swap on /dev/hda2.  Priority:-1
extents:1
Jun 18 01:26:44 selene kernel: SELinux: initialized (dev binfmt_misc, type
binfmt_misc), uses genfs_contexts
Jun 18 01:26:44 selene kernel: ip_tables: (C) 2000-2002 Netfilter core team
Jun 18 01:26:44 selene kernel: ip_conntrack version 2.1 (2047 buckets, 16376
max) - 272 bytes per conntrack
Jun 18 01:26:44 selene kernel: cs: IO port probe 0xc00-0xcff: clean.
Jun 18 01:26:44 selene kernel: cs: IO port probe 0xc00-0xcff: clean.
Jun 18 01:26:44 selene kernel: cs: IO port probe 0x800-0x8ff: clean.
Jun 18 01:26:44 selene kernel: cs: IO port probe 0x800-0x8ff: clean.
Jun 18 01:26:44 selene kernel: cs: IO port probe 0x100-0x4ff: excluding
0x3b8-0x3df 0x4d0-0x4d7
Jun 18 01:26:44 selene kernel: cs: IO port probe 0x100-0x4ff: excluding
0x3b8-0x3df 0x4d0-0x4d7
Jun 18 01:26:44 selene kernel: cs: IO port probe 0xa00-0xaff: clean.
Jun 18 01:26:44 selene kernel: cs: IO port probe 0xa00-0xaff: clean.
Jun 18 01:26:44 selene kernel: cs: memory probe 0xa0000000-0xa0ffffff: clean.
Jun 18 01:26:44 selene kernel:   ASIC rev 1,<6>eth0: 3Com 3c574 at io 0x300, irq
3, hw_addr 00:00:86:32:F6:50.
Jun 18 01:26:44 selene kernel:  64K FIFO split 1:1 Rx:Tx, autoselect MII interface.
Jun 18 01:26:44 selene kernel: ttyS2 at I/O 0x3e8 (irq = 11) is a 16550A
Jun 18 01:26:44 selene kernel: audit(1119047137.316:3): avc:  denied  { read }
for  pid=1405 comm="serial" name=MAKEDEV dev=tmpfs ino=2246
scontext=system_u:system_r:cardmgr_t tcontext=system_u:object_r:device_t
tclass=lnk_file
Jun 18 01:26:44 selene kernel: audit(1119047137.316:4): avc:  denied  { read }
for  pid=1405 comm="serial" name=MAKEDEV dev=tmpfs ino=2246
scontext=system_u:system_r:cardmgr_t tcontext=system_u:object_r:device_t
tclass=lnk_file
Jun 18 01:26:44 selene kernel: audit(1119047137.316:5): avc:  denied  { read }
for  pid=1405 comm="serial" name=MAKEDEV dev=tmpfs ino=2246
scontext=system_u:system_r:cardmgr_t tcontext=system_u:object_r:device_t
tclass=lnk_file
Jun 18 01:26:44 selene auditd[1659]: Init complete, audit pid set to: 1659
Jun 18 01:26:44 selene kernel: audit(1119047137.360:6): avc:  denied  {
associate } for  pid=1409 comm="ln" name=modem
scontext=system_u:object_r:cardmgr_lnk_t tcontext=system_u:object_r:tmpfs_t
tclass=filesystem
Jun 18 01:26:44 selene kernel: eth0: found link beat
Jun 18 01:26:44 selene kernel: eth0: autonegotiation complete: 100baseT-FD selected
Jun 18 01:26:44 selene kernel: irq 11: nobody cared!
Jun 18 01:26:44 selene kernel:  [<c01516f4>] __report_bad_irq+0x24/0x7f
Jun 18 01:26:44 selene kernel:  [<d0ceb7fb>] yenta_interrupt+0xa/0x23 [yenta_socket]
Jun 18 01:26:44 selene kernel:  [<c01517c6>] note_interrupt+0x59/0x83
Jun 18 01:26:44 selene kernel:  [<c0150a8a>] __do_IRQ+0x201/0x367
Jun 18 01:26:44 selene kernel:  [<c0105b1d>] do_IRQ+0x4a/0x82
Jun 18 01:26:44 selene kernel:  =======================
Jun 18 01:26:44 selene kernel:  [<c012d4a1>] process_timeout+0x0/0x5
Jun 18 01:26:44 selene kernel:  [<c0103c0e>] common_interrupt+0x1a/0x20
Jun 18 01:26:44 selene kernel:  [<c01282cc>] __do_softirq+0x2c/0x8a
Jun 18 01:26:44 selene kernel:  [<c0105c29>] do_softirq+0x3e/0x42
Jun 18 01:26:44 selene kernel:  =======================
Jun 18 01:26:44 selene kernel:  [<c0105b24>] do_IRQ+0x51/0x82
Jun 18 01:26:44 selene kernel:  [<c0115507>] apm_bios_call_simple+0x5c/0x96
Jun 18 01:26:44 selene kernel:  [<c0103c0e>] common_interrupt+0x1a/0x20
Jun 18 01:26:44 selene kernel:  [<c0101040>] default_idle+0x26/0x29
Jun 18 01:26:44 selene kernel:  [<c0115767>] apm_cpu_idle+0xaa/0x155
Jun 18 01:26:44 selene kernel:  [<c01010a6>] cpu_idle+0x34/0x4c
Jun 18 01:26:44 selene kernel:  [<c042472a>] start_kernel+0x15f/0x1b9
Jun 18 01:26:44 selene kernel:  [<c04242fe>] unknown_bootoption+0x0/0x1cd
Jun 18 01:26:44 selene kernel: handlers:
Jun 18 01:26:44 selene kernel: [<d0ca5b5c>] (snd_cs46xx_interrupt+0x0/0x3e9
[snd_cs46xx])
Jun 18 01:26:44 selene kernel: [<c02d2f1e>] (usb_hcd_irq+0x0/0x52)
Jun 18 01:26:44 selene kernel: [<d0ceb7f1>] (yenta_interrupt+0x0/0x23
[yenta_socket])
Jun 18 01:26:44 selene kernel: [<d0ceb7f1>] (yenta_interrupt+0x0/0x23
[yenta_socket])
Jun 18 01:26:44 selene kernel: Disabling IRQ #11
Jun 18 01:26:44 selene kernel: eth0: interrupt(s) dropped!
Comment 1 Rudolf Ulc 2005-07-05 12:59:51 EDT
I have Tinkpad T20 too. Sound card not working.  FC 3 is O.K. 
Comment 2 Rudolf Ulc 2005-07-05 13:01:29 EDT
Created attachment 116367 [details]
/var/log/dmesg
Comment 3 Rudolf Ulc 2005-07-05 13:03:52 EDT
Created attachment 116368 [details]
/proc/interrupts
Comment 4 Rudolf Ulc 2005-07-05 13:04:22 EDT
Created attachment 116369 [details]
/proc/pci
Comment 5 Rudolf Ulc 2005-07-05 13:04:58 EDT
Created attachment 116370 [details]
lsmod
Comment 6 Rudolf Ulc 2005-07-05 13:23:19 EDT
Created attachment 116371 [details]
lspci
Comment 7 Yovko Lambrev 2005-07-06 15:16:28 EDT
After installing kernel-2.6.12-1.1387_FC4 everything works fine. Actually except
my 3Com-Megahertz 3CCFEM556 PCMCIA card I change it with Prism2-based wireless
card and everything is OK.
Comment 8 Dave Jones 2005-07-15 17:38:30 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 9 Yovko Lambrev 2005-07-17 13:15:37 EDT
Everything is OK for me, except my 3Com Megahertz PCMCIA Card 3CCFEM556B. I am
using another card without a problem...

I have never had problems with boot.
Comment 10 Yovko Lambrev 2005-07-17 13:17:29 EDT
The problem with the 3Com PCMCIA is the same... Disabling IRQ #11...
Comment 11 Rudolf Ulc 2005-07-17 15:13:24 EDT
Sound card CS46XX is working now on my thinkpad T20. I have T20 with internal
e100 network card. 3CCFE574BT PCMCIA card work OK too.
Comment 12 Dave Jones 2005-09-30 03:01:09 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 13 Dave Jones 2005-11-10 15:06:49 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 14 Dave Jones 2006-02-03 02:12:03 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 15 John Thacker 2006-05-04 09:54:25 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.